Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.tsp.domain
Class Visit

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.tsp.domain.Visit

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Appearance

    public class Visit

extends AbstractPersistable
implements Appearance

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Visit()`

Method Summary
`Visit` | `clone()` Warning: previous and next do not point to new clones.
`City` | `getCity()`
`int` | `getDistanceTo(Appearance appearance)`
`int` | `getDistanceToPreviousAppearance()`
`Appearance` | `getPreviousAppearance()`
`void` | `setCity(City city)`
`void` | `setPreviousAppearance(Appearance previousAppearance)`
`boolean` | `solutionEquals(Object o)` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`int` | `solutionHashCode()` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Visit

    public Visit()

Method Detail

### getCity

    public City getCity()

  Specified by:
    `getCity` in interface `Appearance`
  Returns:
    never null

### setCity

    public void setCity(City city)

### getPreviousAppearance

    public Appearance getPreviousAppearance()

### setPreviousAppearance

    public void setPreviousAppearance(Appearance previousAppearance)

### getDistanceToPreviousAppearance

    public int getDistanceToPreviousAppearance()

### getDistanceTo

    public int getDistanceTo(Appearance appearance)

### clone

    public Visit clone()

  Warning: previous and next do not point to new clones.

  Overrides:
    `clone` in class `Object`
  Returns:
    never null

### solutionEquals

    public boolean solutionEquals(Object o)

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionHashCode()`

### solutionHashCode

    public int solutionHashCode()

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionEquals(Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.